package com.ruoyi.ss.order.service;

import com.ruoyi.common.core.domain.ValidateResult;
import com.ruoyi.common.core.domain.entity.User;
import com.ruoyi.ss.order.domain.OrderBO;
import com.ruoyi.ss.order.domain.OrderQuery;

import java.util.List;

public interface IOrderValidator {

    /**
     * 创建订单前校验
     *
     * @param bo
     * @return
     */
    ValidateResult preAddOrder(OrderBO bo);

    /**
     * 更换包间校验
     */
    void validateChangeRoom(OrderQuery orderQuery);


    void checkDividendProportions(List<User> dividendUsers);
}
